> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1tutorsettings



## OpenAPI

````yaml /api/openapi.json get /api/v1/tutor/settings
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/tutor/settings:
    get:
      tags:
        - tutor
      operationId: getTutorSetting
      parameters:
        - name: activityKind
          in: query
          required: true
          schema:
            type: string
            enum:
              - lesson
              - assignment
        - name: activityId
          in: query
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TutorSetting'
                  - type: 'null'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    TutorSetting:
      type: object
      properties:
        activityKind:
          type: string
          enum:
            - lesson
            - assignment
        activityId:
          type: string
          minLength: 1
        mode:
          $ref: '#/components/schemas/TutorMode'
        maxHints:
          type: integer
          minimum: 0
          maximum: 10
        allowedSourceIds:
          type: array
          items:
            type: string
            minLength: 1
        setBy:
          type: string
          minLength: 1
        setAt:
          type: string
          minLength: 1
      required:
        - activityKind
        - activityId
        - mode
        - maxHints
        - allowedSourceIds
        - setBy
        - setAt
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    TutorMode:
      type: string
      enum:
        - 'off'
        - hints
        - explain
        - open
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````